Name:           perl-HTML-Tabulate
Version:        0.45
Release:        1%{?org_tag}%{?dist}
Summary:        HTML table rendering class
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-Tabulate/
Source0:        http://localhost/cpan//authors/id/G/GA/GAVINC/HTML-Tabulate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.005
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI::Escape)
Requires:       perl(URI::Escape)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
HTML::Tabulate is used to render/display a given set of data in an HTML
table. It takes a data set and a presentation definition and applies the
presentation to the data set to produce the HTML table output. The
presentation definition accepts arguments corresponding to HTML table tags
('table', 'tr', 'th', 'td' etc.), to define attributes for those tags, plus
additional arguments for other aspects of the presentation. HTML::Tabulate
supports advanced features like automatic striping, arbitrary cell
formatting, link creation, etc.

%prep
%setup -q -n HTML-Tabulate-%{version}

%build
%{__perl} Makefile.PL --skipdeps INSTALLDIRS=vendor

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 19 2016 Gavin Carr <gavin@openfusion.com.au> 0.45-1
- Update to version 0.45.

* Fri Feb 19 2016 Gavin Carr <gavin@openfusion.com.au> 0.44-1
- Update to version 0.44.

* Fri Feb 19 2016 Gavin Carr <gavin@openfusion.com.au> 0.45-1
- Update to version 0.45.

* Thu Apr 25 2013 Gavin Carr <gavin@openfusion.com.au> 0.44-1
- Update to version 0.44.

* Thu Apr 25 2013 Gavin Carr <gavin@openfusion.com.au> 0.43-1
- Update to version 0.43.

* Tue Apr 23 2013 Gavin Carr <gavin@openfusion.com.au> 0.42-1
- Bump version to 0.42.

* Mon Jan 16 2012 Gavin Carr <gavin@openfusion.com.au> 0.40-1
- Bump version to 0.40.

* Fri Oct 21 2011 Gavin Carr <gavin@openfusion.com.au> 0.39-1
- Bump version to 0.39.

* Wed Aug 17 2011 Gavin Carr <gavin@openfusion.com.au> 0.35-1
- Specfile autogenerated by cpanspec 1.79.

